## libdap 3.18.2

=== debian/changelog ===
libdap (3.18.2-2) unstable; urgency=medium

  * Add a B-D on libfl-dev as this no longer supplied with flex.
    Closes: #846434

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Dec 2016 09:53:20 +0000

libdap (3.18.2-1) unstable; urgency=medium

  * New upstream release
  * Update minor library numbers:
     libdap.so.23.0.0 -> libdap.so.23.1.0
     libdapclient.so.6.1.4 -> libdap.so.6.1.5
     libdapserver.so.7.6.4 -> libdapserver.so.7.6.5
  * Set libdap-doc as Multi-Arch: foreign

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Nov 2016 01:26:00 +0000

libdap (3.18.1-2) unstable; urgency=medium

  * add patch for auto_ptr (deprecated) -> unique_ptr
  * Disable D4FilterClauseTest, which FTBFS on several archs. Clozes: #836186

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 Oct 2016 14:57:21 +0000

libdap (3.18.1-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file
  * Move to debhelper 10.
  * Include URI license in debian/copyright, specify which files it
    applies to.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Sep 2016 06:12:58 +0100

libdap (3.18.0-1) unstable; urgency=medium

  * New upstream release
  * soversion (and lib package name) change: libdap17v5 -> libdap23

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2016 17:13:48 +0100

=== debian/control ===
Source: libdap
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: zlib1g-dev, debhelper (>= 10), pkg-config, libxml2-dev, 
 libcurl4-gnutls-dev | libcurl-dev, 
 libcppunit-dev, cxxtest, doxygen,
 dejagnu, graphviz, dh-autoreconf (>= 4~),
 autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev,
 libfl-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.9.8
Homepage: http://www.opendap.org/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git

Package: libdap23
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Open-source Project for a Network Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well 
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits. 
 .
 The DAP is a NASA community standard; here is the official link to the 
 specification.
 .
 With OPeNDAP software, you access data using a URL, just like a URL you
 would use to access a web page. However, before you request any data, 
 you need to know how to request it in a form your browser can handle. 
 OPeNDAP data is stored in binary form, and by default, it is 
 transmitted that way, too. 

Package: libdapclient6v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:  libdap23 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Breaks: libdapclient6
Replaces: libdapclient6
Description: Client library for the Network Data Access Protocol
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package provides the client library libdapclient6.

Package: libdapserver7v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:  libdap23 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
Breaks: libdapserver7
Replaces: libdapserver7
Description: Server library for the Network Data Access Protocol
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package provides the server library libdapserver7


Package: libdap-bin
Architecture: any
Multi-Arch: foreign
Depends: libdapclient6v5 ( = ${binary:Version} ),  ${misc:Depends}, ${shlibs:Depends}
Description: Binaries for the  libdap Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package contains the 'getdap' client binary.

Package: libdap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdap23 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
Description: Development files (headers and static libraries) for libdap
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.
 .
 This package contains header files, pkgconfig files and static libraries
 for DAP.

Package: libdap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery
Description: Documentation for the libdap Data Access Protocol library
 OPeNDAP provides software that allows you to access data over the internet,
 from programs that weren't originally designed for that purpose, as well
 as some that were. While OPeNDAP is the original developer of the Data Access
 protocol which its software uses, many other groups have adopted DAP
 and provide compatible clients, servers and software development kits.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH:=$(shell dpkg --print-architecture)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall -pedantic
LDFLAGS += -Wl,--as-needed

CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++14
export CXXFLAGS

# Always do verbose.
export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@ --with autoreconf --parallel

override_dh_autoreconf:
	# remove out of date files
	rm -f conf/config.guess conf/config.sub
	libtoolize -c -f
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld --enable-runtime-endian-check=yes

override_dh_auto_build:
	# Strange bug causes lexer not to build first-time; need to make clean in subdir and restart 
	- $(MAKE)  -j1
	(cd d4_ce && $(MAKE) clean )
	$(MAKE) -j1
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap23       $(LIBDIR)/libdap.so.23.1.0       $(LIBDIR)/libdap.so.23
	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.5  $(LIBDIR)/libdapclient.so.6
	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.5  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.23.1.0       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.5  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.5  $(LIBDIR)/libdapserver.so
	# Allow this cp to fail on arch-independent builds
	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

override_dh_installdocs:
	dh_installdocs
	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \
		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
		|| echo "Skipped; no jquery"

clean:
	dh clean
	rm -rf docs

## libdap 3.19.0

=== debian/changelog ===
libdap (3.19.0-1) unstable; urgency=medium

  * New upstream release
      libdap.so.23.1.1 -> libdap.so.25.0.0
  * Disable unit tests for the moment as input files missing
  * Standards-Version: 4.0.0. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Jun 2017 13:40:42 +0100

libdap (3.18.3-3) unstable; urgency=medium

  * push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Jun 2017 07:17:57 +0100

libdap (3.18.3-2) experimental; urgency=medium

  * Don't disable PIE. Closes: #859411

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Apr 2017 10:01:54 +0100

libdap (3.18.3-1) experimental; urgency=medium

  * New upstream release:
      libdapclient.so.6.1.6 -> libdap.so.6.1.6
      libdapserver.so.7.6.5 -> libdapserver.so.7.6.6
      libdap.so.23.1.0 -> libdap.so.23.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Feb 2017 12:45:00 +0000

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
  autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.opendap.org/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git
 
-Package: libdap23
+Package: libdap25
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -40,7 +40,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap23 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap25 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
 Breaks: libdapclient6
 Replaces: libdapclient6
 Description: Client library for the Network Data Access Protocol
@@ -57,7 +57,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap23 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
+Depends:  libdap25 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
 Breaks: libdapserver7
 Replaces: libdapserver7
 Description: Server library for the Network Data Access Protocol
@@ -87,7 +87,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdap23 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
+Depends: libdap25 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)
 
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS += -Wall -pedantic
@@ -13,6 +13,9 @@
 
 CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++14
 export CXXFLAGS
+
+# Disable tests for the moment; some input files missing
+export DO_TEST=false
 
 # Always do verbose.
 export DH_VERBOSE=1
@@ -30,6 +33,9 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --with-gnu-ld --enable-runtime-endian-check=yes
 
+override_dh_auto_test:
+	$(DO_TEST) && dh_auto_test || echo "Tests disabled for the moment"
+
 override_dh_auto_build:
 	# Strange bug causes lexer not to build first-time; need to make clean in subdir and restart 
 	- $(MAKE)  -j1
@@ -41,12 +47,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	# dh_links needed for multi-arch
-	dh_link -p libdap23       $(LIBDIR)/libdap.so.23.1.0       $(LIBDIR)/libdap.so.23
-	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.5  $(LIBDIR)/libdapclient.so.6
-	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.5  $(LIBDIR)/libdapserver.so.7
-	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.23.1.0       $(LIBDIR)/libdap.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.5  $(LIBDIR)/libdapclient.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.5  $(LIBDIR)/libdapserver.so
+	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.0.0       $(LIBDIR)/libdap.so.25
+	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.6  $(LIBDIR)/libdapclient.so.6
+	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.6  $(LIBDIR)/libdapserver.so.7
+	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.23.1.1       $(LIBDIR)/libdap.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.6  $(LIBDIR)/libdapclient.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.6  $(LIBDIR)/libdapserver.so
 	# Allow this cp to fail on arch-independent builds
 	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

## libdap 3.19.1

=== debian/changelog ===
libdap (3.19.1-2build1) bionic; urgency=medium

  * No-change rebuild to pick up the shared flex library.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Feb 2018 07:02:22 +0000

libdap (3.19.1-2) unstable; urgency=medium

  * Change VCS to point to salsa.debian.org
  * Standards-Version: 4.1.3
  * Add libdap-doc.docs to install docs. Closes: #889210
  * Drop description reference to external docs. Closes: #837429

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Feb 2018 12:35:34 +0000

libdap (3.19.1-1) unstable; urgency=medium

  * New upstream release 3.19.1
    - refresh unique_ptr.ptch
  * Minor version changes:
    libdap: 25.0.0 -> 25.0.1
    libdapclient : 6.1.6 -> 6.1.7
    libdapserver: 7.6.6 -> 7.6.7
  * Standards-Version: 4.1.1
  * Drop dependencies on autotools; automatic in debhelper 10
  * Run test suite, but ignore test failures this build
  * docs are now in html/ directory. Change rules and install file

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Oct 2017 09:31:43 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,27 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: zlib1g-dev, debhelper (>= 10), pkg-config, libxml2-dev, 
+Build-Depends: zlib1g-dev, 
+ debhelper (>= 10), 
+ pkg-config, 
+ libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
- libcppunit-dev, cxxtest, doxygen,
- dejagnu, graphviz, dh-autoreconf (>= 4~),
- autoconf, automake, libtool, flex, bison, uuid-dev, libjs-jquery, libpth-dev, libssl-dev,
+ libcppunit-dev, 
+ cxxtest, 
+ doxygen,
+ dejagnu, 
+ graphviz,
+ bison, 
+ uuid-dev, 
+ libjs-jquery, 
+ libpth-dev, 
+ libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.opendap.org/
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/libdap.git
+Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
+Vcs-Git: https://salsa.debian.org:/science-team/libdap.git
 
 Package: libdap25
 Section: libs
@@ -25,9 +36,6 @@
  as some that were. While OPeNDAP is the original developer of the Data Access
  protocol which its software uses, many other groups have adopted DAP
  and provide compatible clients, servers and software development kits. 
- .
- The DAP is a NASA community standard; here is the official link to the 
- specification.
  .
  With OPeNDAP software, you access data using a URL, just like a URL you
  would use to access a web page. However, before you request any data,

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
ARCH:=$(shell dpkg --print-architecture)
LIBDIR:=/usr/lib/$(DEB_HOST_MULTIARCH)


export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS += -Wall -pedantic
LDFLAGS += -Wl,--as-needed

CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++14
export CXXFLAGS

# Disable tests for the moment; some input files missing
export DO_TEST=true

# Always do verbose.
export DH_VERBOSE=1

# The magic debhelper rule:
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-gnu-ld --enable-runtime-endian-check=yes

override_dh_auto_test:
	$(DO_TEST) && dh_auto_test || echo "Ignoring test failures"

override_dh_auto_build:
	dh_auto_build
	$(MAKE) docs

override_dh_auto_install:
	dh_auto_install
	# dh_links needed for multi-arch
	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.0.1       $(LIBDIR)/libdap.so.25
	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.7  $(LIBDIR)/libdapclient.so.6
	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.7  $(LIBDIR)/libdapserver.so.7
	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.0.1       $(LIBDIR)/libdap.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.7  $(LIBDIR)/libdapclient.so
	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.7  $(LIBDIR)/libdapserver.so
	# Allow this cp to fail on arch-independent builds
	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

override_dh_installdocs:
	dh_installdocs
	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \
		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
		|| echo "Skipped; no jquery"

clean:
	dh clean
	rm -rf html doxygen_warnings.txt

## libdap 3.20.2

=== debian/changelog ===
libdap (3.20.2-1) unstable; urgency=medium

  * New upstream release
  * Minor version change:
    libdap: 25.1.1 -> 25.2.0

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 08 Dec 2018 15:13:32 +0000

libdap (3.20.1-1) unstable; urgency=medium

  * New upstream release
  * Minor version changes:
    libdapclient : 6.1.8 -> 6.1.9
    libdap: 25.1.0 -> 25.1.1
    libdapserver: 7.6.8 -> 7.6.9

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Nov 2018 09:05:12 +0000

libdap (3.20.0-1) unstable; urgency=medium

  * New upstream release
  * Minor version changes:
    libdapclient : 6.1.7 -> 6.1.8
    libdap: 25.0.1 -> 25.1.0
    libdapserver: 7.6.7 -> 7.6.8
  * Standards-Version: 4.2.1
  * Drop hardcoded xz compression in options

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 30 Sep 2018 12:04:23 +0100

libdap (3.19.1-3) UNRELEASED; urgency=medium

  * Use correct machine-readable copyright file URI.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 10 Sep 2018 22:15:22 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Homepage: http://www.opendap.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
 Vcs-Git: https://salsa.debian.org:/science-team/libdap.git

=== debian/rules ===
--- 
+++ 
@@ -37,12 +37,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	# dh_links needed for multi-arch
-	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.0.1       $(LIBDIR)/libdap.so.25
-	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.7  $(LIBDIR)/libdapclient.so.6
-	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.7  $(LIBDIR)/libdapserver.so.7
-	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.0.1       $(LIBDIR)/libdap.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.7  $(LIBDIR)/libdapclient.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.7  $(LIBDIR)/libdapserver.so
+	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.0       $(LIBDIR)/libdap.so.25
+	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.9  $(LIBDIR)/libdapclient.so.6
+	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.9  $(LIBDIR)/libdapserver.so.7
+	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.0       $(LIBDIR)/libdap.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.9  $(LIBDIR)/libdapclient.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.9  $(LIBDIR)/libdapserver.so
 	# Allow this cp to fail on arch-independent builds
 	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

## libdap 3.20.3

=== debian/changelog ===
libdap (3.20.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.3.0
  * Minor Version changes:
    libdapclient: 6.1.9 -> 6.1.10
    libdapserver: 7.6.9 -> 7.6.10
    libdap: 25.2.0 -> 25.2.1
  * Remove obsolete patches:
    - disable-docs.patch
    - xml_libs.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 26 Feb 2019 05:47:36 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: http://www.opendap.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
 Vcs-Git: https://salsa.debian.org:/science-team/libdap.git

=== debian/rules ===
--- 
+++ 
@@ -37,12 +37,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	# dh_links needed for multi-arch
-	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.0       $(LIBDIR)/libdap.so.25
-	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.9  $(LIBDIR)/libdapclient.so.6
-	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.9  $(LIBDIR)/libdapserver.so.7
-	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.0       $(LIBDIR)/libdap.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.9  $(LIBDIR)/libdapclient.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.9  $(LIBDIR)/libdapserver.so
+	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.1       $(LIBDIR)/libdap.so.25
+	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.10  $(LIBDIR)/libdapclient.so.6
+	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.10  $(LIBDIR)/libdapserver.so.7
+	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.1       $(LIBDIR)/libdap.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.10  $(LIBDIR)/libdapclient.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.10  $(LIBDIR)/libdapserver.so
 	# Allow this cp to fail on arch-independent builds
 	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

## libdap 3.20.4

=== debian/changelog ===
libdap (3.20.4-1) unstable; urgency=medium

  * New upstream release
  * Minor version changes:
    libdapclient: 6.1.10 -> 6.1.11
    libdapserver: 7.6.10 -> 7.6.11
    libdap: 25.2.1 -> 25.2.2
  * Standards-Version: 4.4.0
  * Debhelper 12 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jul 2019 10:15:29 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, 
- debhelper (>= 10), 
+ debhelper (>= 12), 
  pkg-config, 
  libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
@@ -19,7 +19,7 @@
  libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.opendap.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
 Vcs-Git: https://salsa.debian.org:/science-team/libdap.git

## libdap 3.20.5

=== debian/changelog ===
libdap (3.20.5-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper-compat (=12)
  * Standards-Version: 4.5.0
  * Add debian/gdb.conf file
  * Fix DEP-5 syntax error in d/copyright

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Feb 2020 08:57:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, 
- debhelper (>= 12), 
+ debhelper-compat (= 12), 
  pkg-config, 
  libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
@@ -19,8 +19,8 @@
  libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.4.0
-Homepage: http://www.opendap.org/
+Standards-Version: 4.5.0
+Homepage: https://www.opendap.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
 Vcs-Git: https://salsa.debian.org:/science-team/libdap.git

=== debian/rules ===
--- 
+++ 
@@ -37,12 +37,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	# dh_links needed for multi-arch
-	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.1       $(LIBDIR)/libdap.so.25
-	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.10  $(LIBDIR)/libdapclient.so.6
-	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.10  $(LIBDIR)/libdapserver.so.7
-	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.1       $(LIBDIR)/libdap.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.10  $(LIBDIR)/libdapclient.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.10  $(LIBDIR)/libdapserver.so
+	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.2       $(LIBDIR)/libdap.so.25
+	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.11  $(LIBDIR)/libdapclient.so.6
+	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.11  $(LIBDIR)/libdapserver.so.7
+	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.2       $(LIBDIR)/libdap.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.11  $(LIBDIR)/libdapclient.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.11  $(LIBDIR)/libdapserver.so
 	# Allow this cp to fail on arch-independent builds
 	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config

## libdap 3.20.6

=== debian/changelog ===
libdap (3.20.6-3ubuntu1) groovy; urgency=medium

  * Fix build of reverse-dependencies by exposing tirpc flags

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Sep 2020 19:11:24 +0200

libdap (3.20.6-3) unstable; urgency=medium

  * Fix FTBFS: col utility now moved to bsdextrautils pkg. Build-Depend on it.
    Closes: #963349

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2020 07:52:29 +0100

libdap (3.20.6-2) unstable; urgency=medium

  * Test depends on libdap-dev. Closes: #959737

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 May 2020 10:42:27 +0100

libdap (3.20.6-1) unstable; urgency=medium

  * New upstream release
  * Minor version changes:
    libdap: 25.2.2 -> 25.2.3
  * Add autopkgtest tests 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Apr 2020 11:32:30 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  dejagnu, 
  graphviz,
  bison, 
+ bsdextrautils,
  uuid-dev, 
  libjs-jquery, 
  libpth-dev,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,6 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 CFLAGS += -Wall -pedantic
-LDFLAGS += -Wl,--as-needed
 
 CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++14
 export CXXFLAGS
@@ -17,8 +16,7 @@
 # Disable tests for the moment; some input files missing
 export DO_TEST=true
 
-# Always do verbose.
-export DH_VERBOSE=1
+# export DH_VERBOSE=1
 
 # The magic debhelper rule:
 %:
@@ -37,10 +35,10 @@
 override_dh_auto_install:
 	dh_auto_install
 	# dh_links needed for multi-arch
-	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.2       $(LIBDIR)/libdap.so.25
+	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.3       $(LIBDIR)/libdap.so.25
 	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.11  $(LIBDIR)/libdapclient.so.6
 	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.11  $(LIBDIR)/libdapserver.so.7
-	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.2       $(LIBDIR)/libdap.so
+	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.3       $(LIBDIR)/libdap.so
 	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.11  $(LIBDIR)/libdapclient.so
 	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.11  $(LIBDIR)/libdapserver.so
 	# Allow this cp to fail on arch-independent builds
@@ -52,6 +50,7 @@
 		rm debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ; \
 		ln -sf /usr/share/javascript/jquery/jquery.js debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ) \
 		|| echo "Skipped; no jquery"
+	-find debian/libdap-doc -name '*.md5' -delete \;
 
 clean:
 	dh clean

=== debian/tests/control ===
Test-Command: set -e
  ; dap-config --help 2> /dev/null
Depends: libdap-dev

# No args; just check linking ok
Test-Command: set -e
  ; getdap -V 2> /dev/null
Depends: libdap-bin

## libdap 3.20.7

=== debian/changelog ===
libdap (3.20.7-6) unstable; urgency=medium

  [ Bas Couewnberg ]
  * Team upload.
  * Move usr/bin/dap-config* back to libdap-dev.
    (closes: #981725)

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Feb 2021 10:42:06 +0000

libdap (3.20.7-5) unstable; urgency=medium

  * Revert dap-config to libdap-dev. Closes: #981725

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 04 Feb 2021 13:13:25 +0000

libdap (3.20.7-4) unstable; urgency=medium

  * Update dependencies on autopkgtests to libdap-bin

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Feb 2021 12:27:57 +0000

libdap (3.20.7-3) unstable; urgency=medium

  * Add Breaks/Replaces libdap-bin on libdap-dev. for dap-config, which
    moves pkg.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Feb 2021 09:31:49 +0000

libdap (3.20.7-2) unstable; urgency=medium

  * Move to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Feb 2021 07:31:30 +0000

libdap (3.20.7-1) experimental; urgency=medium

  * New upstream release
  * SOVERSION change: libdap25 -> libdap27
  * Switch from SunRPC to TI RPC implementation. Closes: #968735
  * Move branches to DEP-14, point Vcs-Git to debian/latest
  * Change d/gbp.conf to point to DEP-14 branches
  * Mark autokpgtests superficial for now. Closes: #974485
  * Move to debhelper level 13
  * Standards-Version: 4.5.1; no changes required
  * Drop obsolete breaks/replaces for pkgs prior to stable

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 Jan 2021 06:56:54 +0000

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: zlib1g-dev, 
- debhelper-compat (= 12), 
+ debhelper-compat (= 13), 
  pkg-config, 
  libxml2-dev, 
  libcurl4-gnutls-dev | libcurl-dev, 
+ libtirpc-dev,
  libcppunit-dev, 
  cxxtest, 
  doxygen,
@@ -20,12 +21,12 @@
  libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://www.opendap.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
-Vcs-Git: https://salsa.debian.org:/science-team/libdap.git
+Vcs-Git: https://salsa.debian.org:/science-team/libdap.git -b debian/latest
 
-Package: libdap25
+Package: libdap27
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -49,9 +50,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap25 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libdapclient6
-Replaces: libdapclient6
+Depends:  libdap27 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
 Description: Client library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -66,9 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends:  libdap25 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
-Breaks: libdapserver7
-Replaces: libdapserver7
+Depends:  libdap27 ( = ${binary:Version} ), ${misc:Depends}, ${shlibs:Depends}
 Description: Server library for the Network Data Access Protocol
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well
@@ -96,7 +93,9 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libdap25 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
+Depends: libdap27 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
+Breaks: libdap-bin (<< 3.20.7-6~)
+Replaces: libdap-bin (<< 3.20.7-6~)
 Description: Development files (headers and static libraries) for libdap
  OPeNDAP provides software that allows you to access data over the internet,
  from programs that weren't originally designed for that purpose, as well

=== debian/rules ===
--- 
+++ 
@@ -34,15 +34,8 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	# dh_links needed for multi-arch
-	dh_link -p libdap25       $(LIBDIR)/libdap.so.25.2.3       $(LIBDIR)/libdap.so.25
-	dh_link -p libdapclient6v5  $(LIBDIR)/libdapclient.so.6.1.11  $(LIBDIR)/libdapclient.so.6
-	dh_link -p libdapserver7v5  $(LIBDIR)/libdapserver.so.7.6.11  $(LIBDIR)/libdapserver.so.7
-	dh_link -p libdap-dev     $(LIBDIR)/libdap.so.25.2.3       $(LIBDIR)/libdap.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapclient.so.6.1.11  $(LIBDIR)/libdapclient.so
-	dh_link -p libdap-dev     $(LIBDIR)/libdapserver.so.7.6.11  $(LIBDIR)/libdapserver.so
 	# Allow this cp to fail on arch-independent builds
-	-cp debian/dap-config.pkg  debian/libdap-dev/usr/bin/dap-config
+	-cp debian/dap-config.pkg  debian/libdap-bin/usr/bin/dap-config
 
 override_dh_installdocs:
 	dh_installdocs

=== debian/tests/control ===
--- 
+++ 
@@ -6,5 +6,5 @@
 Test-Command: set -e
   ; getdap -V 2> /dev/null
 Depends: libdap-bin
+Restrictions: superficial
 
-

## libdap 3.20.9

=== VCPP/sample/Makefile ===
# Sample Makefile to illustrate how to compile and link with
# libdap (under VC++ 8.x)

OBJDIR		= .\objects
SRCDIR		= .

# Compiler, Linker
CC		= cl
LINK		= link

# Setup compiler flags
MTCFLAGS	= /MT
MDCFLAGS	= /MD
CFLAGS		= /nologo /W0 /GR /EHsc /c

# Setup linker flags
EMTLFLAGS	= /nologo /libpath:..\..\lib /NODEFAULTLIB:MSVCRT.lib
EMDLFLAGS	= /nologo /libpath:..\..\lib

# Setup link libraries
EMTLLIBS	= libdapMT.lib libdapclientMT.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib
EMDLLIBS	= libdapMD.lib libdapclientMD.lib libxml2.lib libcurl.lib zlib.lib libxdr.lib pthreadVC.lib

# Setup compiler includes and defines
INCS		= /I . /I ..\..\include /I ..\..\include\GNU /I ..\..\include\gl /I ..\..\include\xdr /I ..\..\include\curl /I ..\..\include\pthreads
CPPUNITINCS	= $(INCS) /I $(INCLUDEDIR)/cppunit
DEFS		= /D WIN32 /D WIN32_LEAN_AND_MEAN
CPPFLAGS	= $(DEFS) $(INCS)

default:
	@echo "usage: nmake model<MT|MD>; nmake all"

all:
	nmake modelMT
	nmake modelMD

modelMT: setup
	-md $(OBJDIR)\MT
	nmake CFLAGS="$(CFLAGS) $(MTCFLAGS)" LFLAGS="$(EMTLFLAGS)" LIBS="$(EMTLLIBS)" OBJDIR=$(OBJDIR)\MT getdap

modelMD: setup
	-md $(OBJDIR)\MD
	nmake CFLAGS="$(CFLAGS) $(MDCFLAGS)" LFLAGS="$(EMDLFLAGS)" LIBS="$(EMDLLIBS)" OBJDIR=$(OBJDIR)\MD getdap

# Clear built-in rules and set new ones
.SUFFIXES :
.SUFFIXES :	.obj .cc .exe

{$(SRCDIR)}.cc{$(OBJDIR)}.obj:
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $<

# Rule for linking executables.  See Microsoft's "mt" command for
# embedding external .manifests as necessary.
{$(OBJDIR)}.obj{$(OBJDIR)}.exe:
	$(LINK) $(LFLAGS) /out:$@ $< $(LIBS)

getdap:		$(OBJDIR)\getdap.exe

$(OBJDIR)\getdap.exe: $(OBJDIR)\getdap.obj

# Command-Line Client and select utils in console mode
$(OBJDIR)\getdap.obj    : $(SRCDIR)\getdap.cc
	$(CC) $(CFLAGS) $(CPPFLAGS) /Fo$@ /Tp $(SRCDIR)\getdap.cc

setup:
	-mkdir $(OBJDIR)

clean:
	-rmdir /Q /S $(OBJDIR)

=== debian/changelog ===
libdap (3.20.9-1) UNRELEASED; urgency=medium

  * update

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 May 2022 22:15:29 -0400

libdap (3.20.9-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Dec 2021 21:02:20 +0000

libdap (3.20.8-2) unstable; urgency=medium

  * Ship dap-config, drop libdap-dev multi-arch, as it breaks
    gdal. Closes: #995325
  * Change d/tests/control to use pkg-config rather than dap-config
  * Acl we build with libtirpc-dev. Closes: #993016

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Sep 2021 08:47:12 +0100

libdap (3.20.8-1) unstable; urgency=medium

  * New upstream release
  * Drop dap-config.patch
  * No longer ship dap-config. Closes: #994670

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Sep 2021 12:55:59 +0100

libdap (3.20.7-7) unstable; urgency=medium

  * Standards-Version: 4.6.0
  * Patch from Aurelian Jarno for tirpc support. Closes: #993016

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Aug 2021 11:24:50 +0100

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
  libssl-dev,
  libfl-dev
 Build-Conflicts: autoconf2.13
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://www.opendap.org/
 Vcs-Browser: https://salsa.debian.org:/science-team/libdap.git
 Vcs-Git: https://salsa.debian.org:/science-team/libdap.git -b debian/latest
@@ -92,8 +92,7 @@
 Package: libdap-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
-Depends: libdap27 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config
+Depends: libdap27 ( = ${binary:Version} ), libdapserver7v5 (=${binary:Version}), libdapclient6v5 (=${binary:Version}) , ${misc:Depends}, libxml2-dev, libcurl4-gnutls-dev | libcurl-dev, uuid-dev, pkg-config, libtirpc-dev
 Breaks: libdap-bin (<< 3.20.7-6~)
 Replaces: libdap-bin (<< 3.20.7-6~)
 Description: Development files (headers and static libraries) for libdap

=== debian/rules ===
--- 
+++ 
@@ -13,10 +13,8 @@
 CXXFLAGS:= $(shell dpkg-buildflags --get CXXFLAGS) -std=c++14
 export CXXFLAGS
 
-# Disable tests for the moment; some input files missing
 export DO_TEST=true
-
-# export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 # The magic debhelper rule:
 %:
@@ -32,11 +30,6 @@
 	dh_auto_build
 	$(MAKE) docs
 
-override_dh_auto_install:
-	dh_auto_install
-	# Allow this cp to fail on arch-independent builds
-	-cp debian/dap-config.pkg  debian/libdap-bin/usr/bin/dap-config
-
 override_dh_installdocs:
 	dh_installdocs
 	[ -f debian/libdap-doc/usr/share/doc/libdap-doc/html/jquery.js ] && ( \

=== debian/tests/control ===
Test-Command: set -e
  ; pkg-config libdap
Depends: libdap-dev, pkg-config

Test-Command: set -e
  ; pkg-config libdapclient 
Depends: libdap-dev, pkg-config

Test-Command: set -e
  ; pkg-config libdapserver
Depends: libdap-dev, pkg-config

# No args; just check linking ok
Test-Command: set -e
  ; getdap -V 2> /dev/null
Depends: libdap-bin
Restrictions: superficial
